summaryrefslogtreecommitdiffstats
path: root/sysutils/brasero/files/patch-configure
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2008-02-06 15:09:50 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2008-02-06 15:09:50 +0800
commitbf602796537561d1fa98ad9757dc499fc7e3248f (patch)
treeba6cc276aadd3c8ef506720f13c478ba6e24a155 /sysutils/brasero/files/patch-configure
parent19468d8b00c55abd34de0a57fbfad4d9e3ba5075 (diff)
downloadmarcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar.gz
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar.bz2
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar.lz
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar.xz
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.tar.zst
marcuscom-ports-bf602796537561d1fa98ad9757dc499fc7e3248f.zip
Sync with FreeBSD ports tree.
git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@10361 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'sysutils/brasero/files/patch-configure')
-rw-r--r--sysutils/brasero/files/patch-configure264
1 files changed, 264 insertions, 0 deletions
diff --git a/sysutils/brasero/files/patch-configure b/sysutils/brasero/files/patch-configure
new file mode 100644
index 000000000..3f4958a84
--- /dev/null
+++ b/sysutils/brasero/files/patch-configure
@@ -0,0 +1,264 @@
+--- configure.orig 2008-01-24 16:49:00.000000000 -0500
++++ configure 2008-01-24 16:49:16.000000000 -0500
+@@ -885,6 +885,8 @@ BRASERO_BASE_CFLAGS
+ BRASERO_BASE_LIBS
+ BRASERO_CFLAGS
+ BRASERO_LIBS
++WITH_CAM_TRUE
++WITH_CAM_FALSE
+ LIBBURNIA_CFLAGS
+ LIBBURNIA_LIBS
+ BRASERO_LIBBURNIA_CFLAGS
+@@ -1610,6 +1612,7 @@ Optional Packages:
+ --with-pic try to use only PIC/non-PIC objects [default=use
+ both]
+ --with-tags[=TAGS] include additional configurations [automatic]
++ --with-cam Build with CAM backend instead of Linux SCSI [default = no]
+ --with-gconf-source=sourceaddress Config database for installing schema files.
+ --with-gconf-schema-file-dir=dir Directory for installing schema files.
+
+@@ -4514,7 +4517,7 @@ ia64-*-hpux*)
+ ;;
+ *-*-irix6*)
+ # Find out which ABI we are using.
+- echo '#line 4517 "configure"' > conftest.$ac_ext
++ echo '#line 4520 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -7252,11 +7255,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7255: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7258: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7259: \$? = $ac_status" >&5
++ echo "$as_me:7262: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7542,11 +7545,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7545: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7548: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7549: \$? = $ac_status" >&5
++ echo "$as_me:7552: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7646,11 +7649,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7649: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7652: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:7653: \$? = $ac_status" >&5
++ echo "$as_me:7656: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -9997,7 +10000,7 @@ else
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10000 "configure"
++#line 10003 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -10097,7 +10100,7 @@ else
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10100 "configure"
++#line 10103 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -12517,11 +12520,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12520: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12523: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:12524: \$? = $ac_status" >&5
++ echo "$as_me:12527: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -12621,11 +12624,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12624: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12627: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:12628: \$? = $ac_status" >&5
++ echo "$as_me:12631: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -14185,11 +14188,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14188: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14191: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:14192: \$? = $ac_status" >&5
++ echo "$as_me:14195: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -14289,11 +14292,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14292: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14295: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:14296: \$? = $ac_status" >&5
++ echo "$as_me:14299: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -16478,11 +16481,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16481: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16484: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16485: \$? = $ac_status" >&5
++ echo "$as_me:16488: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16768,11 +16771,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16771: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16774: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16775: \$? = $ac_status" >&5
++ echo "$as_me:16778: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16872,11 +16875,11 @@ else
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16875: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16878: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:16879: \$? = $ac_status" >&5
++ echo "$as_me:16882: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -22350,6 +22353,27 @@ BRASERO_LIBS="$BRASERO_BASE_LIBS $BRASER
+ LIBBURN_REQUIRED=0.4.0
+ LIBISOFS_REQUIRED=0.2.8
+
++
++# Check whether --with-cam was given.
++if test "${with_cam+set}" = set; then
++ withval=$with_cam;
++else
++ with_cam="no"
++fi
++
++
++if text x"$with_cam" = "xyes"; then
++ BRASERO_LIBS="$BRASERO_LIBS -lcam"
++fi
++ if test x"$with_cam" = "xyes"; then
++ WITH_CAM_TRUE=
++ WITH_CAM_FALSE='#'
++else
++ WITH_CAM_TRUE='#'
++ WITH_CAM_FALSE=
++fi
++
++
+ # Check whether --enable-libburnia was given.
+ if test "${enable_libburnia+set}" = set; then
+ enableval=$enable_libburnia;
+@@ -25144,6 +25168,13 @@ echo "$as_me: error: conditional \"am__f
+ Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+ fi
++if test -z "${WITH_CAM_TRUE}" && test -z "${WITH_CAM_FALSE}"; then
++ { { echo "$as_me:$LINENO: error: conditional \"WITH_CAM\" was never defined.
++Usually this means the macro was only invoked conditionally." >&5
++echo "$as_me: error: conditional \"WITH_CAM\" was never defined.
++Usually this means the macro was only invoked conditionally." >&2;}
++ { (exit 1); exit 1; }; }
++fi
+ if test -z "${BUILD_LIBBURNIA_TRUE}" && test -z "${BUILD_LIBBURNIA_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"BUILD_LIBBURNIA\" was never defined.
+ Usually this means the macro was only invoked conditionally." >&5
+@@ -25945,6 +25976,8 @@ BRASERO_BASE_CFLAGS!$BRASERO_BASE_CFLAGS
+ BRASERO_BASE_LIBS!$BRASERO_BASE_LIBS$ac_delim
+ BRASERO_CFLAGS!$BRASERO_CFLAGS$ac_delim
+ BRASERO_LIBS!$BRASERO_LIBS$ac_delim
++WITH_CAM_TRUE!$WITH_CAM_TRUE$ac_delim
++WITH_CAM_FALSE!$WITH_CAM_FALSE$ac_delim
+ LIBBURNIA_CFLAGS!$LIBBURNIA_CFLAGS$ac_delim
+ LIBBURNIA_LIBS!$LIBBURNIA_LIBS$ac_delim
+ BRASERO_LIBBURNIA_CFLAGS!$BRASERO_LIBBURNIA_CFLAGS$ac_delim
+@@ -26019,8 +26052,6 @@ INTLTOOL_UPDATE!$INTLTOOL_UPDATE$ac_deli
+ INTLTOOL_PERL!$INTLTOOL_PERL$ac_delim
+ ALL_LINGUAS!$ALL_LINGUAS$ac_delim
+ SCHEMAS_INSTALL_TRUE!$SCHEMAS_INSTALL_TRUE$ac_delim
+-SCHEMAS_INSTALL_FALSE!$SCHEMAS_INSTALL_FALSE$ac_delim
+-GCONFTOOL!$GCONFTOOL$ac_delim
+ _ACEOF
+
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+@@ -26062,6 +26093,8 @@ _ACEOF
+ ac_delim='%!_!# '
+ for ac_last_try in false false false false false :; do
+ cat >conf$$subs.sed <<_ACEOF
++SCHEMAS_INSTALL_FALSE!$SCHEMAS_INSTALL_FALSE$ac_delim
++GCONFTOOL!$GCONFTOOL$ac_delim
+ GCONF_SCHEMA_CONFIG_SOURCE!$GCONF_SCHEMA_CONFIG_SOURCE$ac_delim
+ GCONF_SCHEMA_FILE_DIR!$GCONF_SCHEMA_FILE_DIR$ac_delim
+ GCONF_SCHEMAS_INSTALL_TRUE!$GCONF_SCHEMAS_INSTALL_TRUE$ac_delim
+@@ -26070,7 +26103,7 @@ LIBOBJS!$LIBOBJS$ac_delim
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+
+- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 6; then
++ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 8; then
+ break
+ elif $ac_last_try; then
+ { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5